'use strict'

exports.handleRequest = handleRequest

const util = require('../util')
const Logger = util.getLogger(__dirname, __filename)

// Handle the HTTP request
function handleRequest (req, res) {
  const context = req.nsStorage.context

  context.provider.refreshLicense((err, license) => {
    if (err || !license) {
      res.status(400)
      res.send({ error: { message: err.message } })
      Logger.error(err, 'Could not check license.')
      return
    }

    res.status(200)
    res.send(license)
  })
}
