'use strict'

exports.handleRequest = handleRequest
const getThresholdConfig = require('../threshold-actions').getThresholdConfig
const httpUtils = require('./http-utils')

// Handle the HTTP request
function handleRequest (req, res) {
  const context = req.nsStorage.context
  const eventStream = req.nsStorage.eventStream
  const interval = req.nsStorage.qData.interval
  const endDate = req.nsStorage.qData.end

  poll(context, eventStream)

  httpUtils.syncPollTillDone(eventStream, interval, endDate,
    () => poll(context, eventStream)
  )
}

function poll (context, eventStream) {
  const record = {
    time: Date.now(),
    thresholds: getThresholdConfig(context),
    webhooks: context.webhooksManager.getConfig()
  }

  eventStream.writeData(record)
}
