'use strict'

function toMilliseconds (val, units) {
  switch (units) {
    case 'seconds':
      return val * 1000
    case 'minutes':
      return val * 60 * 1000
    case 'hours':
      return val * 60 * 60 * 1000
    default:
      return Number.MAX_VALUE
  }
}

function timerElapsed (start, delay) {
  if (start === undefined || delay === undefined) {
    return false
  }

  return start + delay < Date.now()
}

module.exports = {
  toMilliseconds,
  timerElapsed
}
