'use strict'

const util = require('../../util')
const Logger = util.getLogger(__dirname, __filename)

module.exports = function (context) {
  const name = 'exit'
  function run (messageObj) {
    let agent = context.agentManager.byId(messageObj.agentId)

    if (agent) {
      Logger.debug(`Removing exited agent ${agent.id}`)
      context.agentManager.markDead(agent)
    }
  }

  function predicate (messageObj) {
    return messageObj.command === name
  }

  return { name, run, predicate }
}
