# NodeSource Webhooks Service

The purpose of a central public webhooks service is to give customers greater insight into their applications by allowing them to subscribe and react to events and data generated by N|Solid, the certified modules registry, and other future NodeSource services and products. Webhooks provide a simple method for integrating services. We will implement webhooks as a common service that can be leveraged by the customer-facing services. Products will push data to the webhooks service over an HTTP API. The webhooks service will decide if events need to be generated and make webhook calls out to the customer's configured HTTP API endpoint.

The webhook service will initially be developed as a central (not on-prem) AWS Lambda service, but the architecture must not preclude on-prem usage in the future. All customers will use the same service initially. The webhook service will accept information from N|Solid agents, the certified modules registry, and perhaps other services in the future and generate customer notifications in the form of HTTP calls to the customer's API.

## Future requirement of running on-prem
It is my hope that the interface between a webserver (which would be required for on-prem hosting) and the lambda functions would be as simple as constructing that looks something like a lambda event from the HTTP request and passing it and a callback that calls res.send to the actual lambda function.

# Tests
Running the tests requires DynamoDB to be installed locally by default. Check out [Amazon's guide to installing DynamoDB locally](http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/DynamoDBLocal.html).

If you need to run the test against hosted DynamoDB for some reason, you can do so with the following command.

    NSOLID_WEBHOOKS_DB_ENDPOINT=https://dynamodb.us-west-2.amazonaws.com npm test

Whether you are running DynamoDB or using the hosted service, the environment variables `AWS_SECRET_ACCESS_KEY` and `AWS_ACCESS_KEY_ID` are required. You can generate a secret access key and access key ID on your AWS console.

# Docker
To run in a docker container, build with

    $ docker build -t webhooks-service .

Then run with

    $ docker run -p 8080:80 -e LOGLEVEL=warn -e AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY -e AWS_REGION=$AWS_REGION -e AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID -e NSOLID_WEBHOOKS_DB_ENDPOINT=https://dynamodb.us-west-2.amazonaws.com -e NS_ENV=dev webhooks-service
