'use strict'

const path = require('path')
const ThisFile = path.join(path.basename(__dirname), path.basename(__filename))
const request = require('client-request')
const startServer = require('../start-server')
const integrationUtils = require('../lib/utils')

startServer.run(runTests)

function runTests (err, context) {
  const test = require('tape')
  if (err) throw err

  const config = context.config.web
  const apiURL = `${config.proto}://${config.server}/api`

  test(`${ThisFile} list api with no API key`, t => {
    const params = integrationUtils.getRequestParams({
      uri: `${apiURL}/v1/health`,
      method: 'get',
      json: true
    })

    request(params, (err, res, body) => {
      t.error(err)

      t.equals(res.statusCode, 200, 'API responds 200')
      t.end()
    })
  })
}
