'use strict'

const util = require('../../lib/util')
const Logger = util.getLogger(__dirname, __filename)
const startServer = require('./start-server')
const portfinder = require('portfinder')
portfinder.basePort = 20000

if (process.env.LOGLEVEL) {
  Logger.setLoglevel(process.env.LOGLEVEL)
} else {
  Logger.mute(true)
}

portfinder.getPorts(1, {}, startWebserver)

function startWebserver (err, ports) {
  if (err) throw err
  process.env.PORT = ports[0]

  startServer.run((err, context) => {
    if (err) throw err

    const tape = require('tape')
    tape.onFinish(() => startServer.shutdown())
    require('./api')
  })
}
