'use strict'

/*
 * Run tests against a locally installed DynamoDB instance to save $$ and time.
 * For instructions on how to run DynamoDB locally, go here:
 * http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/DynamoDBLocal.html
 */

const spawn = require('child_process').spawn

const ddbLibDir = process.env.NSOLID_WEBHOOKS_DB_LIB_DIR ||
  '/usr/local/bin/dynamodb/DynamoDBLocal_lib'
const ddbJarDir = process.env.NSOLID_WEBHOOKS_DB_JAR_DIR ||
  '/usr/local/bin/dynamodb/DynamoDBLocal.jar'

const ddb = spawn('java', [
  `-Djava.library.path=${ddbLibDir}`,
  '-jar', ddbJarDir,
  '-sharedDb', '-inMemory', '-delayTransientStatuses'
])

exports.ddb = ddb
