'use strict'

const request = require('client-request')
const quasix = require('quasix-getopt')
const options = quasix.parse()

if (!options.licensekey || !options.customerid) {
  console.log('Must specify --licensekey and --customerid option.')
  console.log('--licensekey=f25a2e30-eb00-48c0-a74b-47c7a23b1bad --customerid=erintest1')
  process.exit()
}

request({
  uri: 'https://xqbx2o9ts1.execute-api.us-west-2.amazonaws.com/staging/api-key',
  method: 'POST',
  body: {
    customerId: options.customerid
  },
  headers: {
    'x-nsolid-license-key': options.licensekey
  }
}, (err, res, body) => {
  if (body) {
    body = JSON.parse(body.toString())
  }
  console.log(err, res.statusCode, body)
})

