'use strict'

const request = require('client-request')
const quasix = require('quasix-getopt')
const options = quasix.parse()

if (!options.apikey || !options.url) {
  console.log('Must specify --apikey and --url options.')
  process.exit()
}

request({
  uri: 'https://xqbx2o9ts1.execute-api.us-west-2.amazonaws.com/staging/webhooks',
  method: 'POST',
  body: {
    event: 'nsolid-agent-online',
    url: options.url
  },
  headers: {
    'x-nsolid-api-key': options.apikey
  }
}, (err, res, body) => {
  if (body) {
    body = JSON.parse(body.toString())
  }
  console.log(err, res.statusCode, body)
})

