'use strict'

const request = require('client-request')
const quasix = require('quasix-getopt')
const options = quasix.parse()

if (!options.apikey) {
  console.log('Must specify --apikey option.')
  process.exit()
}

request({
  uri: 'https://xqbx2o9ts1.execute-api.us-west-2.amazonaws.com/staging/webhooks',
  method: 'GET',
  headers: {
    'x-nsolid-api-key': options.apikey
  }
}, (err, res, body) => {
  if (body) {
    body = JSON.parse(body.toString())
  }
  console.log(err, res.statusCode, body)
})

